package com.kingdee.eas.custom.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncZYEmpFacadeFactory
{
    private SyncZYEmpFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.task.ISyncZYEmpFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.task.ISyncZYEmpFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("76DBFEF7") ,com.kingdee.eas.custom.task.ISyncZYEmpFacade.class);
    }
    
    public static com.kingdee.eas.custom.task.ISyncZYEmpFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.task.ISyncZYEmpFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("76DBFEF7") ,com.kingdee.eas.custom.task.ISyncZYEmpFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.task.ISyncZYEmpFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.task.ISyncZYEmpFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("76DBFEF7"));
    }
    public static com.kingdee.eas.custom.task.ISyncZYEmpFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.task.ISyncZYEmpFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("76DBFEF7"));
    }
}